---
language: go

go:
  - 1.9.2
  - 1.8.5

services:
  - docker

install:
  - go get github.com/golang/lint/golint
  - go get github.com/FiloSottile/vendorcheck
  # Install gometalinter and certain linters
  - go get github.com/alecthomas/gometalinter
  - go get github.com/client9/misspell/cmd/misspell
  - go get github.com/gordonklaus/ineffassign
  - go get golang.org/x/tools/cmd/goimports
  - go get github.com/tsenart/deadcode

script:
  - make lint
  - vendorcheck ./...
  - make test-with-coverage

after_script:
  - make golint

after_success:
  - bash <(curl -s https://codecov.io/bash)
